
[supervisorctl]
serverurl=unix:///data/run/supervisor.sock ; use a unix:// URL  for a unix socket

[unix_http_server]
file=/data/run/supervisor.sock  ; (the path to the socket file)
chmod=0700                       ; sockef file mode (default 0700)


[rpcinterface:supervisor]
supervisor.rpcinterface_factory = supervisor.rpcinterface:make_main_rpcinterface


[supervisord]
nodaemon=true
logfile=/data/log/supervisord.log
childlogdir = /data/log/
pidfile=/data/run/supervisord.pid


[program:cron]
#-f foreground -L 15 : log all
command = /usr/sbin/cron -f -L 15
autostart = true
autorestart = true
stdout_logfile=/data/log/cron-stdout.log
stderr_logfile=/data/log/cron-stderr.log

[program:apache2]
command=/bin/bash -c "source /etc/apache2/envvars && exec /usr/sbin/apache2 -DFOREGROUND"
stdout_events_enabled=true
stderr_events_enabled=true
autorestart=true
stdout_logfile=/data/log/apache2-stdout.log
stderr_logfile=/data/log/apache2-stderr.log

[program:pastell-daemon]
command=/var/www/pastell/bin/console app:daemon:start
autorestart=true
stdout_logfile=/data/log/pastell-daemon-stdout.log
stderr_logfile=/data/log/pastell-daemon-stderr.log
stopwaitsecs=60
stopsignal=TERM
